中国重庆市公安局主办
  → 您现在的位置: 重庆市公安局公众信息网网络安全管理
关于ThinkPHP 5.0.x存在远程代码执行漏洞的安全公告
来自:|时间:2019年02月05日【字号: 】 【打印】 【关闭

国家信息安全漏洞共享平台(CNVD)收录了ThinkPHP远程代码执行漏洞(CNVD-2019-01092)。攻击者利用该漏洞,可在未授权的情况下远程执行代码。目前,漏洞利用原理已公开,厂商已发布新版本修复此漏洞。

一、漏洞情况分析

ThinkPHP采用面向对象的开发结构和MVC模式,融合了Struts的思想和TagLib(标签库)、RoRORM映射和ActiveRecord模式,是一款兼容性高、部署简单的轻量级国产PHP开发框架。

ThinkPHP团队发布了版本更新信息,修复了远程代码执行漏洞。该漏洞是由于框架在对关键类Request处理过程中,通过变量覆盖实现对该类任意函数的调用,构造相应请求可对Request类属性值进行覆盖,导致任意代码执行。攻击者利用该漏洞,可在未经授权的情况下,对目标网站进行远程命令执行攻击。

该漏洞的综合评级为“高危”。

二、漏洞影响范围

漏洞影响的产品版本包括:

ThinkPHP 5.0.x - 5.0.23

三、漏洞处置建议

目前,ThinkPHP厂商已发布新版本修复此漏洞,建议用户立即升级至最新版本。

网上办事导航 | 招警信息 | 政府公开信箱 | 有奖举报
关闭窗口】 【返回首页